### '1.0.0'
* MSU is now a "PackageRepo" in github! it is recommended to use the package repo for creating mods with MSU instead of the release version

* Added the following types:
    * BundleModule: Represents a ModuleBase that does not have a ContentBase class to manage, but manages AssetBundle assets
    * ContentModule: Represents a ModuleBase that has a ContentBase class that represents an asset for a ContentPack.
    * EquipmentModuleBase: The Equipment related part of PickupModuleBase has been moved here
    * ItemModuleBase: The Item related part of PickupModuleBase has been moved here
    * BaseBuffBodyBehaviour: A type of behaviour that works like the BaseItemBodyBehaviour, but for Buffs
    * MoonstormContentManager: an improved version of the MoonstormItemManager
    * AddressableAssets: Reference an asset either via direct reference or via its address
    * ConfigLoader: Easy management of config files
    * MaterialCopier: Allows you to copy an addressable material's properties and shaders to a material in your project
    * EventCard: an easy to use EventCard for events
    * EventCardCategorySelection: a selection of events for a stage
    * VanillaEventDirectorCategorySelections: All of the vanilla stages' Category Selections
    * EliteTierDefModule: For loading new EliteTiers, uses EliteAPI
    * EliteTierDefBase: ContentBase for an EliteTierDef
    * SerializazbleeliteTierDef: A serializable version of an EliteTierDef
    * VanillaSkinDefinition: Create skins for vanilla bodies

* Deprecated the following types:
    * SerializableDifficultyDef, Re-Implemented on R2API's Side.
    * MSSingleItemDisplayRule: Replaced by the ItemDisplayDictionary
    * MSIDRS: Replaced by NamedIDRS
    * EventCardDeck: Replaced by EventCardCategorySelection
    * EventDirectorCard: Replaced by EventCard
    * VanillaSkinDef: Replaced by VanillaSkinDefinition

* Removed the following types:
    * EffectDefHolder, EffectDefs can now be added properly to SerializableContentPacks
    * MSIDRSUtil, Was already marked as obsolete
    * ItemDisplayModuleBase: replaced completely by the ItemDisplayDictionary and NamedIDRS systems
    * KeyAssetDisplayPairHolder: Replaced completely by the ItemDisplayDictionary and NamedIDRS systems
    * PickupModuleBase: Split into ItemModuleBase and EquipmentModuleBase
    * MoonstormItemManager: Replaced by the MoonstormContentManager

* Events:
    * EventDirector & EventCatalog has been completely rewritten.
    * Events are still entity states.
    * EventCardDecks has been replaced by EventCardCategorySelections
    * EventDirectrCard has been replaced by EventCard
    * Events are now announced like the ones in Starstorm 1 (UI element)
    * Family Events can be announced the same way (configurable)
    * EventState now has actions for when it starts and ends

* ConfigLoader:
    * Allows for the easy creation of Config Files.
    * Created config files can be placed in a subfolder
    * ConfigFiles can be given an identifier, which is later used in the ConfigurableFieldManager for binding
    * ConfigFiles created from this can be set to wipe between minor version changes.

* ItemDisplayDictionary:
    * An improved version of the MSSingleItemDisplayRule.
    * Allows for appending item display rules to multiple IDRS
    * IDRS can only be loaded via Addressables or via direct reference

* NamedIDRS:
    * An improved version of the MSIDRS.
    * Allows for serialization of ItemDisplayRules for an ItemDisplayRuleSet
    * Both the key asset and display prefabs can be loaded via Addressables or via direct reference

* Extensions:
    * Addeed an EnsureComponent extension
    * Added an extension to add an entry to a collection if its not already in it
    * Added an extension to remove an entry in a collection only if its already in it

* ConfigurableFieldAtribute and ConfigurableFieldManager:
    * ConfigurableFields can now be binded to specific ConfigFiles via an identifier
    * The config files are loaded via the ConfigLoader class
    * Providing no ConfigSection or ConfigName now "Nicifies" the declaring type's name and field name respectively

* ContentLoader:
    * Updated to use an R2APISerializableContentPack instead of the base game one.

* MSUnlockableDef:
    * set "achievedIcon" and "unachievedIcon" to HideInInspector
    * Added context menu for setting the UnlockableDef.AchievedIcon to achievedIcon

* AssetLoader:
    * Removed "LoadEffectDefsFromHolders" method
    * Removed "LoadEffectDefsFromPrefabs" method
    * Removed "AddEffectDefsToSerializablecontentPack" method
    * Removed "AddEffectDefsToContentPack" method
    * Now swaps shaders in a generic way, requires the used of MSU's stubbed shaders

* ModuleBase:
    * Added an abstract method for implementing the initialization process for a ContentBase
    * ModuleBase is now a Generic class, the Generic type must inherit from ContentBase

* All Main Module Bases:
    * Added a ReadOnlyDictionary/List of the ContentBase classes they manage
    * Added an Action that gets invoked when said ReadOnlyCollection gets populated
    * Renamed the method that retireved the content base classes to "Get[ContentBaseClassName]"

* All Content Bases:
    * Almost all setter properties have been removed.

* ArtifactBase:
    * The ArtifactCode property is now Virtual

* BuffBase:
    * Added a virtual Property for adding a Material
    * Removed the AddBehaviour method, replaced by BaseBuffBodyBehaviour

* CharacterBase:
    * Removed the RegisterTokens method

* DamageTypeBase:
    * The ModdedDamageType now gets reserved via the DamageTypeModule

* ItemBase:
    * Added a virtual property for storing an item's display prefab
    * Removed the AddBehaviour method, replaced by BaseItemBodyBehaviour

* EliteEquipmentBase
    * The EliteDef property is now a List of MSEliteDefs

* UnlockableBase:
    * Renamed "LateInitialization" to "OnCheckPassed"

* MSEliteDef:
    * Now can be addeed to any of the vanilla elite tiers

* MSMonsterDirectorCard & MSInteractableDirectorCard:
    * Now can define a custom Category.
    * Now can define the required expansions for the card to be used in a run

* Debug Features:
    * Now also sets the event logging to true
